settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

onEvent('recipes', event => {
event.remove({output: 'mekanism:steel_casing'})
event.remove({output: 'mekanism:metallurgic_infuser'})
event.remove({output: 'mekanism:logistical_sorter'})
event.remove({output: 'mekanism:energized_smelter'})
event.remove({output: 'mekanismgenerators:heat_generator'})
event.remove({output: 'mekanism:basic_logistical_transporter'})
event.remove({output: 'mekanism:basic_universal_cable'})
event.remove({output: 'mekanism:basic_mechanical_pipe'})
event.remove({output: 'mekanism:basic_pressurized_tube'})
event.remove({output: 'mekanism:basic_thermodynamic_conductor'})
event.remove({output: 'mekanismgenerators:solar_panel'})
event.remove({output: 'exnihilosequentia:mesh_emerald'})

//Machinen
event.recipes.mekanism.metallurgic_infusing('mekanism:ingot_steel', 'minecraft:iron_ingot', 'mekanism:carbon', 20)
event.recipes.mekanism.metallurgic_infusing('minecraft:comparator', 'minecraft:quartz', 'mekanism:redstone', 20)
event.recipes.mekanism.metallurgic_infusing('exnihilosequentia:mesh_emerald', 'exnihilosequentia:mesh_diamond', 'mekanism:refined_obsidian', 240)

//Steel Casing
event.recipes.bloodmagic.altar('mekanism:steel_casing', 'mekanism:block_steel').upgradeLevel(1).altarSyphon(1000).consumptionRate(5).drainRate(2)

event.shaped('mekanism:basic_logistical_transporter', [
  'IFI'
], {
  F: '#forge:chests/wooden',
  I: '#forge:ingots/bronze'
})

event.shaped('mekanism:basic_universal_cable', [
  'IFI'
], {
  F: 'minecraft:redstone',
  I: '#forge:ingots/bronze'
})

event.shaped('mekanism:basic_mechanical_pipe', [
  'IFI'
], {
  F: 'minecraft:bucket',
  I: '#forge:ingots/bronze'
})

event.shaped('mekanism:basic_pressurized_tube', [
  'IFI'
], {
  F: '#forge:glass',
  I: '#forge:ingots/bronze'
})

event.shaped('mekanism:basic_thermodynamic_conductor', [
  'IFI'
], {
  F: '#minecraft:coals',
  I: '#forge:ingots/bronze'
})

event.shaped('mekanismgenerators:solar_panel', [
  'GGG',
  'RSR',
  'III'
], {
  G: '#forge:glass_panes',
  I: '#forge:ingots/osmium',
  R: 'minecraft:lapis_lazuli',
  S: 'immersiveengineering:wirecoil_copper'
})

event.shaped('mekanism:metallurgic_infuser', [
    'IFI',
    'RSR',
    'IFI'
  ], {
    S: 'mekanism:steel_casing',
    I: 'minecraft:iron_ingot',
    R: 'minecraft:redstone',
    F: 'minecraft:furnace'
  })

  event.shaped('mekanism:energized_smelter', [
    'RCR',
    'GSG',
    'RCR'
  ], {
    S: 'mekanism:steel_casing',
    G: 'botania:mana_glass',
    R: 'minecraft:redstone',
    C: 'mekanism:basic_control_circuit'
  })

  event.shaped('mekanism:logistical_sorter', [
    'DDD',
    'IIP',
    'BBB'
  ], {
    I: '#forge:chests/wooden',
    B: '#forge:ingots/bronze',
    P: 'mekanism:basic_universal_cable',
    D: '#forge:ingots/steel'
  })

  
})